The reason to upgrade your website from Joomla 1.5 to 2.5

shared by mojsn on Nov 21, 2012 in Technology

148 views

0 faves

0 shares

0 comments

New Joomla versions are continuously released – Joomla 2.5, Joomla 3.0 and so on. Joomla 1.5 is no longer supported anymore. So you should upgrade your website to Joomla 2.5 since Joomla 2.5 will be...
Tags: joomla 1.5
Category: Technology

Designer:

Joomlashine
Did you work on this visual? Claim credit!

Embed Code

For hosted site:

Click the code to copy

For wordpress.com:

Click the code to copy
Customize size